#if DEBUG
#define ENABLE_ONSCREEN_DEBUG
#endif

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Aerostats
{
    static class Util
    {
        private static Dictionary<string, ScreenMessage> messages = new Dictionary<string, ScreenMessage>();

        public static void PostDebugSingleScreenMessage(string id, string message)
        {
            #if ENABLE_ONSCREEN_DEBUG
            if (messages.ContainsKey(id))
                ScreenMessages.RemoveMessage(messages[id]);
            messages[id] = ScreenMessages.PostScreenMessage(message);
            #endif
        }

        public static void PostDebugScreenMessage(string message)
        {
            #if ENABLE_ONSCREEN_DEBUG
            ScreenMessages.PostScreenMessage(message);
            #endif
        }
    }
}
